Subject: bug#15405: 24.3; #[] freezes emacs

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Sep 2013 13:35:36 -0400

> Of course, this is technically possible. <IMHO> But I don't see
> a reason for this at all. Unlike 0 (zero) for arithmetic, "" for
> string operations, () (or nil) for lists, etc., #[] (empty bytecode
> string) makes no sense at all.  Again, if bytecomp never produces such
> an objects and they're never used somewhere else, it should be treated
> as "impossible" object and error should be signaled once such an
> object is found. </IMHO>.

Indeed, we could also disallow them.  If that's simpler, I'm fine with
this solution.

        Stefan